OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
CopyLeafNodes< TreeT > Class Template Reference

`#include <Clip.h>`

## Public Types
using | MaskTreeT = typename TreeT::template ValueConverter< MaskValueType >::Type
using | MaskLeafManagerT = tree::LeafManager< const MaskTreeT >

## Public Member Functions
| CopyLeafNodes (const TreeT &, const MaskLeafManagerT &)
void | run (bool threaded=true)
TreeT::Ptr | tree () const
| CopyLeafNodes (CopyLeafNodes &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const CopyLeafNodes &rhs)

## Member Typedef Documentation

## ◆ MaskLeafManagerT

using MaskLeafManagerT = tree::LeafManager<const MaskTreeT>

## ◆ MaskTreeT

using MaskTreeT = typename TreeT::template ValueConverter<MaskValueType>::Type

## Constructor & Destructor Documentation

## ◆ CopyLeafNodes() [1/2]

CopyLeafNodes | ( | const TreeT & | tree,
|  | const MaskLeafManagerT & | leafNodes
| ) |  |

## ◆ CopyLeafNodes() [2/2]

CopyLeafNodes | ( | CopyLeafNodes< TreeT > & | rhs,
|  | tbb::split |
| ) |  |

## Member Function Documentation

## ◆ join()

void join | ( | const CopyLeafNodes< TreeT > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

## ◆ run()

void run | ( | bool | threaded = `true` | ) |

## ◆ tree()

TreeT::Ptr tree | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- Clip.h